Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 154357

Summary: Kill the spam spiders on Bugzilla
Product: [Community] Bugzilla Reporter: William M. Quarles <walrus>
Component: Bugzilla GeneralAssignee: PnT DevOps Devs <hss-ied-bugs>
Status: CLOSED CURRENTRELEASE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 3.2CC: nelhawar
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
URL: https://bugzilla.redhat.com/bugzilla/long_list.cgi?buglist=152862
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-12-02 01:45:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description William M. Quarles 2005-04-10 22:19:45 UTC
Description of problem:

I managed to come up with this Bugzilla page on Google, which means that spam
spiders can use Bugzilla, too.  I was wondering if one of two things could be
done to correct this:
1. Make Bugzilla a members-only site.
2. Have Bugzilla do e-mail address obfuscation like what is done on the Red Hat
mailing list archives, such as <dkl redhat.com>.

Version-Release number of selected component (if applicable): current

Comment 1 William M. Quarles 2005-04-10 22:21:35 UTC
I got this URL, too, so apparently Google can search the newer system as well.

<https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=152858>

Comment 2 David Lawrence 2006-04-08 17:52:29 UTC
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.

Comment 3 David Lawrence 2008-09-16 16:52:23 UTC
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.

Comment 4 Noura El hawary 2008-12-02 01:45:03 UTC
(In reply to comment #0)
> Description of problem:
> 
> I managed to come up with this Bugzilla page on Google, which means that spam
> spiders can use Bugzilla, too.  I was wondering if one of two things could be
> done to correct this:
> 1. Make Bugzilla a members-only site.

Bugzilla currently has lots of bugs access restrictions, not all bugs are viewable to public or non logged in users, there are groups restrictions, private comments and private attachments.


> 2. Have Bugzilla do e-mail address obfuscation like what is done on the Red Hat
> mailing list archives, such as <dkl redhat.com>.

This has been achieved in bugzilla 3.2 as only logged in users to bugzilla can see email addresses of other bugzilla users, non logged in users can not see any email  addresses.